> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/lists-and-grids/checkedlistbox/wisej.web.itemcheckeventargs.md).

# ItemCheckEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.1.0.0)

Provides data for the [ItemCheck](https://docs.wisej.com/api/wisej.web/lists-and-grids/checkedlistbox#itemcheck) event of the [CheckedListBox](https://docs.wisej.com/api/wisej.web/lists-and-grids/checkedlistbox) and [ListView](https://docs.wisej.com/api/wisej.web/lists-and-grids/listview) controls.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ItemCheckEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ItemCheckEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/H6zPlCVr6uRnF9Ri9w88) ItemCheckEventArgs(index, newCheckValue, currentValue)

Initializes a new instance of the [ItemCheckEventArgs](https://docs.wisej.com/api/wisej.web/lists-and-grids/checkedlistbox/wisej.web.itemcheckeventargs.md) class.

| Name              | Type                                                                                    | Description                                                                                                                                                                                                       |
| ----------------- | --------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **index**         | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                             | The zero-based index of the item to change.                                                                                                                                                                       |
| **newCheckValue** | [CheckState](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.checkstate.md) | One of the [CheckState](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.checkstate.md) values that indicates whether to change the check box for the item to be checked, unchecked, or indeterminate. |
| **currentValue**  | [CheckState](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.checkstate.md) | One of the [CheckState](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.checkstate.md) values that indicates whether the check box for the item is currently checked, unchecked, or indeterminate.    |

## Properties

### ![](/files/H6zPlCVr6uRnF9Ri9w88) CurrentValue

[CheckState](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.checkstate.md): Returns a value indicating the current state of the item's check box.

### ![](/files/H6zPlCVr6uRnF9Ri9w88) Index

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the zero-based index of the item to change.

### ![](/files/H6zPlCVr6uRnF9Ri9w88) NewValue

[CheckState](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.checkstate.md): Returns or sets whether to set the check box for the item to be checked, unchecked, or indeterminate.

## Used By

| Name                                                                                                                            | Description                                                                                                                                                                                                                                 |
| ------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ItemCheckEventHandler](https://docs.wisej.com/api/wisej.web/lists-and-grids/checkedlistbox/wisej.web.itemcheckeventhandler.md) | Represents the method that will handle the ItemCheck event of a [CheckedListBox](https://docs.wisej.com/api/wisej.web/lists-and-grids/checkedlistbox) or [ListView](https://docs.wisej.com/api/wisej.web/lists-and-grids/listview) control. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/checkedlistbox/wisej.web.itemcheckeventargs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
